from setuptools import setup

setup(
    name="nlp_framework",
    version="0.1.15",
    python_requires=">=3.8",
    packages=["containers","components","components.entity_linkers","components.entity_linkers.ngram_no_context_linker"],
    install_requires=[
        "scipy",
        "joblib",
        "scikit-learn",
        "nmslib",
        "lkb",
        "fileutils",
    ],
    extras_require={
        "develop": ["black", "pylint", "pytest", "devpi"],
        "production": ["gunicorn"],
    },
)